%define _name gal
%define ver_major 2.1
%def_disable static

Name: libgal2
Version: %ver_major.13
Release: alt1

Summary: Library for compound documents in GNOME
License: GPL
Group: System/Libraries
Url: http://www.gnome.org/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

# Automatically added by buildreq on Tue Apr 06 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gtk-doc libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
This the G App Libs for Gnome2 (GAL2).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME2 applications that might want to use these widgets.

%package devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%package devel-static
Summary: Static libraries for Gnome Application Library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary development libraries and include
files to allow you to develop programs statically linked against gal.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q -n %_name-%version

%build
%configure \
    %{subst_enable static}

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/gtk-2.0/modules/*.la

%find_lang --output=%_name.lang %_name-2.2

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %_name.lang
%_libdir/*.so.*
%_datadir/%_name-2.2
%doc AUTHORS ChangeLog INSTALL NEWS README

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%doc  %_gtk_docdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Aug 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.13-alt1
- 2.1.13

* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.12-alt1
2.1.12

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.11-alt1
- 2.1.11

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.10-alt1
- 2.1.10

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Wed Oct 29 2003 AEN <aen@altlinux.ru> 1.99.9-alt4
- buildreq fixed

* Tue Aug 05 2003 AEN <aen@altlinux.ru> 1.99.9-alt3
- new version

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 1.99.8-alt3
- release

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 1.99.8-alt2
- new version (cvs source)

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 1.99.7-alt1
- new version

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 0.0.6-alt1
- first build for Sisyphus

